﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDSxxx Recall Factory Setup RS-232
INSTRUMENT:            Sub Tek TDSxxx Self-Test RS-232
INSTRUMENT:            Sub Tek TDSxxx Sig Path Comp Cal RS-232
DATE:                  2010-06-22 12:37:39
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 17919 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       135
=============================================================================
#
#  Procedure Author:  DAC, ZY, VY
#
#  Model(s) Covered:  TDS Series
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         RECALL_FACTORY_SETUP         PSUBI("Factory Setup")
  1.002  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.003  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Sig Path Comp")
  1.004  DISP         Undefined subprocedure!
  1.005  END

  1.006  EVAL   Increment step number

# *********************** RECALL FACTORY SETUP ***************************

  2.001  LABEL        RECALL_FACTORY_SETUP
# Reset scope to factory defaults.  Turn off headers on query response.
  2.002  PORT         *RST;HEADER OFF[10]
  2.003  END

  2.004  EVAL   Increment step number

#******************************* Self-Test ***********************************

  3.001  LABEL        SELF_TEST
  3.002  RSLT         =
  3.003  HEAD         SELF TEST
  3.004  TARGET
# Inform technician of what to expect during self-test
  3.005  DISP         Remove all input signals.
  3.005  DISP
  3.005  DISP         During the self-test, the UUT display will flash
  3.005  DISP         and display multiple-line patterns at times. This
  3.005  DISP         is normal behavior.
# Send commands to start the self-test
  3.006  PORT         DIA:SEL:ALL ALL[10]
  3.007  PORT         [T150000]DIA:STATE EXEC[10]
  3.008  WAIT         -t [MEM] Please wait for self test to finish.
# Return result of diagnostics
  3.009  PORT         DIA:RESU:FLA?[10][I$]
# Self Test evaluation
  3.010  EVAL   -e FIND(MEM2, "PASS", 1) : SELF TEST

  4.001  IF           FAIL()
  4.002  MATH         M[89] = 0
  4.003  MATH         S[28] = "Self test failed. UUT may need be serviced."
  4.004  ELSE
  4.005  MATH         M[89] = 1
  4.006  MATH         S[28] = ""
  4.007  ENDIF

# Reset instrument state in case of failure
  4.008  PORT         *RST;CLEARMENU[10]
  4.009  END

  4.010  EVAL   Increment step number

#**************** Signal Path Compensation Calibration **********************

  5.001  LABEL        SIGNAL_PATH_COMPENSATION
# Ask the operator if they want to run the test.  It is not necessary to run
# this test again if already ran and the temperature is constant.
  5.002  OPBR         It is recommended that a Signal Path Compensation be
  5.002  OPBR         performed before running the Performance Test. It is
  5.002  OPBR         only necessary to run this procedure one time.
  5.002  OPBR
  5.002  OPBR         Do you want to run the Signal Path Compensation?
  5.003  JMPL         END                          MEM1 < 0

  5.004  RSLT         =
  5.005  HEAD         SIGNAL PATH COMPENSATION
  5.006  DISP         Remove all connections from the UUT.
  5.007  PORT         *CAL?[10]
  5.008  MEM2         =Signal Path Compensation being performed...
  5.009  WAIT         -t [MEM] [MEM2]
  5.010  HEAD         SIGNAL PATH COMPENSATION COMPLETE
  5.011  PORT         [T120000][I$]
  5.012  EVAL   -e FIND(MEM2, "0", 1) : SIGNAL PATH COMPENSATION
  6.001  PORT         CLEARMENU[10]

  6.002  IF           FAIL()
  6.003  MATH         M[89] = 0
  6.004  MATH         S[28] = "SPC check failed. UUT may need be serviced."
  6.005  ELSE
  6.006  MATH         M[89] = 1
  6.007  MATH         S[28] = ""
  6.008  ENDIF

# Reset instrument state in case of failure
  6.009  PORT         *RST;CLEARMENU[10]
  6.010  END

  6.011  LABEL        END
  6.012  END
